This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 57931 - No vmemoryuse limit
No vmemoryuse limit
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: tcsh (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-02 10:00 EST by Bogdan Costescu
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-18 10:44:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bogdan Costescu 2002-01-02 10:00:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4)
Gecko/20011019 Netscape6/6.2

Description of problem:
tcsh lacks the "vmemoryuse" limit to limit virtual memory use. The desired
result can be obtained by setting "as" limit in /etc/security/limits.conf;
however, this is not possible f.e. for batch systems where the virtual
memory limit has to be set at run-time for each process by the parent tcsh.
Possible cause: RLIMIT_VMEM is not defined in /usr/include/bits/resource.h.

Possible fix: in tcsh-6.10.00/sh.func.c, RLIMIT_VMEM can be #define-d as
RLIMIT_AS (which is defined in /usr/include/bits/resource.h). It seems like
on some systems RLIMIT_AS is #define-d as RLIMIT_VMEM...


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. limit



Actual Results:  cputime         unlimited
filesize        unlimited
datasize        unlimited
stacksize       8192 kbytes
coredumpsize    unlimited
memoryuse       unlimited
descriptors     1024 
memorylocked    unlimited
maxproc         511 
openfiles       1024

Expected Results:  cputime         unlimited
filesize        unlimited
datasize        unlimited
stacksize       8192 kbytes
coredumpsize    unlimited
memoryuse       unlimited
vmemoryuse      unlimited    <<<<<
descriptors     1024 
memorylocked    unlimited
maxproc         511 
openfiles       1024 


Additional info:

tcsh-6.10-6

This is not only a problem of printing the limits with tcsh. The limit
cannot be enforced, so that processes can allocate any amount of memory
they ask for (unless limited in /etc/security/limits.conf). For comparison,
using bash-2.05-8, ulimit -v does have the desired effect.
Comment 1 Miloslav Trmač 2004-08-18 10:44:31 EDT
vmemoryuse is supported in tcsh-6.12-8.

Note You need to log in before you can comment on or make changes to this bug.